pw_protocol_client Struct Reference
Implementation API » Protocol

## Data Fields

struct spa_list | link
| link in protocol client_list More...
struct pw_protocol * | protocol
| the owner protocol More...
struct pw_core * | core
int(* | connect )(struct pw_protocol_client *client, const struct spa_dict *props, void(*done_callback)(void *data, int result), void *data)
int(* | connect_fd )(struct pw_protocol_client *client, int fd, bool close)
int(* | steal_fd )(struct pw_protocol_client *client)
void(* | disconnect )(struct pw_protocol_client *client)
void(* | destroy )(struct pw_protocol_client *client)
int(* | set_paused )(struct pw_protocol_client *client, bool paused)

## Field Documentation

## link

struct spa_list pw_protocol_client::link

link in protocol client_list

## protocol

struct pw_protocol* pw_protocol_client::protocol

the owner protocol

## core

struct pw_core* pw_protocol_client::core

## connect

int(* pw_protocol_client::connect) (struct pw_protocol_client *client, const struct spa_dict *props, void(*done_callback)(void *data, int result), void *data)

## connect_fd

int(* pw_protocol_client::connect_fd) (struct pw_protocol_client *client, int fd, bool close)

## steal_fd

int(* pw_protocol_client::steal_fd) (struct pw_protocol_client *client)

## disconnect

void(* pw_protocol_client::disconnect) (struct pw_protocol_client *client)

## destroy

void(* pw_protocol_client::destroy) (struct pw_protocol_client *client)

## set_paused

int(* pw_protocol_client::set_paused) (struct pw_protocol_client *client, bool paused)

The documentation for this struct was generated from the following file:

- pipewire/protocol.h